الرئيسية / ووردبريس / شرح كيفية تحديث او ترقية نسخة PHP لل WordPress

شرح كيفية تحديث او ترقية نسخة PHP لل WordPress

شرح كيفية تحديث او ترقية نسخةPHP WordPress
شرح كيفية تحديث او ترقية نسخة PHP لل WordPress

السلام عليكم ورحمة الله وبركاىته

مرحبا بمتابعي وزوار مدونة الشهادة مع موضوع جديد بعنوان شرح كيفية تحديث او ترقية نسخة PHP WordPress

إذا كنت تريد لموقعك او مدونتك أو متجرك الالكتروني ان يعمل بشكل طبيعي ، سيكون من المهم التفكير في تعديل أو تحديث إصدار PHP الذي تستخدمه على موقعك او مدونتك. الإصدار الجديد من PHP (PHP7) لم ينتشر بعد بما فيه الكفاية ، لكنه لن يدوم طويلًا ينتشر بسرعة، لأنه مهم جدا ويجلب الكثير من المستجدات ومن المحتمل جدًا أنه مطلوب لتثبيت الإصدار التالي من WordPress

لماذا يجب عليك الترقية إلى PHP 7؟

إذا كنت تستخدم WordPress على الخادم الخاص بك ، فمن الواضح أنك قد قمت بالفعل بتثبيت PHP. فلماذا الترقية عندما يبدو أن كل شيء يعمل بشكل جيد؟

فيما يلي بعض الأسباب الأكثر شيوعًا التي تجعلك تفكر في ترقية إصدار PHP الخاص بك:

  • ال الإضافات و مخطوطات التي لم تقم بتثبيتها لم تعد متوافقة مع الإصدار الذي تستخدمه
  • زاد الحد الأدنى لمتطلبات تشغيل WordPress
  • يحتوي الإصدار الذي تستخدمه على ثغرات أمنية وتتضمن الترقية تصحيحًا
  • تحتاج إلى الهجرة نحو نسخة أكثر استقرارا
  • تريد اختبار إصدار مختلف على تثبيت WordPress أو على بيئة اختبار
  • لقد وجدت تعارضًا بين الإصدار الذي تستخدمه والإضافات أو السمات أو البرامج النصية التي قمت بتثبيتها

هذه كلها أسباب وجيهة ، ولكن قبل المضي قدمًا وتحديث إصدار PHP الخاص بك ، يجب عليك اخد نسخة احتياطية لموقعك الالكتروني قبل ترقية اصدار PHP

في حالة عدم التوافق ، من المحتمل أن موقع الويب الخاص بك لم يعد قابلاً للاستخدام أو تشاهد العديد من الأخطاء. إلى جانب ذلك ، يخبرك WordPress الآن ما إذا كان البرنامج المساعد متوافقًا مع إصدار PHP الخاص بك أم لا.

يقدم كل إصدار من PHP أشكالًا جديدة وتحسينات وتصحيحات وتصحيحات أمان وهيكل كود. في حين أن بعض التحديثات أقل اكتمالًا من غيرها ، تقدم العديد من الإصدارات تحسينات أو تعديلات تجعل بعض أجزاء الإصدارات القديمة قديمة

في بعض الحالات ، لم تعد الإصدارات الكاملة مثل PHP 4 وما فوق معتمدة. إذا كنت تستخدم المكونات الإضافية أو السمات أو البرامج النصية على موقع الويب الخاص بك والتي تعتمد على رمز PHP القديم والترقية إلى إصدار أحدث من PHP ، فإن هذه الترقية ستجعل الشفرة عتيقة ومن ثم تنقطع العملية. من بلوق الخاص بك.

على الرغم من أنها ليست كذلك لا تقم دائمًا ما يكون الأمر كذلك ، من المهم أن ندرك أن التغييرات التي تجلبها ستكون لها عواقب. بهذه الطريقة ، يمكنك مراعاة مشكلات التوافق المختلفة.

بالإضافة إلى التحقق يدويًا من موقع الويب الخاص بك لاكتشاف نقاط الضعف المحتملة ، فهناك العديد من المكونات الإضافية التي سوف تتيح لك معرفة ما إذا كانت بيئتك متوافقة مع الترقية أم لا. والخبر السار هو في الواقع أن تكون قادرة على خفض الإصدار المنشط سابقا. بمعنى آخر ، إذا لاحظت أي أخطاء ، فلا يزال من الممكن استعادة الإصدار السابق من PHP … لذلك على سبيل المثال ، الإصدار 5.5 version 7.x وإذا كان كل شيء لا يعمل بشكل جيد ، يمكنك العودة إلى نسخة 5.5.

تحقق توافق PHP

إليك بعض المكونات الإضافية التي يمكنك استخدامها للتحقق من توافق بيئتك مع إصدار محدث من PHP:

  • مدقق التوافق PHP – يتيح لك هذا البرنامج المساعد تحديد إصدار من PHP وإجراء تحليل مقارنة بالإصدار الحالي من PHP للمضيف. يقوم أيضًا بإنشاء تقرير ، لإخبارك بما يجب إصلاحه.
  • خطأ سجل مراقب – في حالة وجود أخطاء ، يمكنك تنشيط سجل لتتبع جميع الأخطاء ، مما يساعدك على إصلاحها بسهولة أكبر.

يمكنك أيضا تفعيل يدويا صحيفة خاص الخطأ باستخدام ” WP_DEBUG “.

كيفية تغيير إصدار PHP

لذلك ، بمجرد اجتياز مدونتك لاختبار التوافق ، يمكنك تغيير إصدار PHP الذي تستخدمه عبر SSH أو cPanel. إذا لم يكن هذا خيارًا يمكنك الوصول إليه ، فاتصل بـالمستضيف. في معظم الحالات ، يمكنهم التحديث لك أو أداء مهام أخرى.

الترقية عبر SSH (المستخدمين المتقدمين)

بما أن أوامر SSH لترقية أو تثبيت إصدارات أخرى من PHP تختلف باختلاف نوع الخادم ، فلا توجد أوامر عالمية تعمل في كل مكان.

ضع في اعتبارك أنه في حالة استخدام الأوامر المقدمة في هذه الارتباطات ، يجب أيضًا إزالة حزمة PHP القديمة من الخادم الخاص بك. نظرًا لأن أوامر حذف الإصدارات القديمة ستختلف أيضًا وفقًا لنوع الخادم الخاص بك ، تحقق من وثائق الخادم الخاصة بك للأوامر المحددة.

تحديث PHP أو التعديل في cPanel

إذا كنت تفضل أن تختار في عدد قليل من النقرات إصدار PHP لخادمك ، يمكنك القيام بذلك عن طريق تسجيل الدخول إلى حساب cPanel الخاص بك. ومع ذلك ، لا يتوفر هذا الخيار إلا في إصدارات cPanel الافتراضية. إذا لم تكن هذه هي الحالة في المنزل ، فستحتاج إلى الاتصال بموفر خدمة استضافة الويب الخاص بك لهذا الغرض.

سأريكم كيفية الوصول إليه من cPanel الخاص بك. بمجرد تسجيل الدخول ، انتقل إلى قسم “البرامج” ثم انقر فوق “MultiPHP Manager”.

سيؤدي النقر فوقها إلى نقلك إلى إصدار PHP للنطاقات والمجالات الفرعية المختلفة المتاحة. كل ما عليك فعله هو اختيار الإصدار الصحيح من PHP وتطبيقه على المجال الذي تختاره.

شرح كيفية تحديث او ترقية نسخة PHP لل WordPress
شرح كيفية تحديث او ترقية نسخة PHP لل WordPress

يمكن اتباع الإجراء المتبع في خطوات بسيطة مثل 3 على الصورة التالية:

شرح كيفية تحديث او ترقية نسخة PHP لل WordPress

ستلاحظ أن الواجهة ستكون مشابهة للواجهة التي تقدمها WHM (إذا كان لديك خادم مخصص).

كيفية تحرير من WHM

إذا كان لديك خادم ، فربما يكون لديك تثبيت WHM ، والذي يسمح لك بإدارة الخادم الخاص بك. من WHM ، يمكنك أيضًا تغيير الإصدار افتراضيا PHP على لوحة التحكم الخاصة بك. ما عليك سوى الوصول إلى MultiPHP Manager وتغيير إصدار PHP الذي تريد استخدامه في كل مجال.

شرح كيفية تحديث او ترقية نسخة PHP لل WordPress

يتم النسخ الاحتياطي للنسخة تلقائيًا عند تغيير الإصدار.

Your Website Title

شاهد أيضاً

أفضل الاضافات لحماية موقعك على الووردبريس

أفضل الاضافات لحماية موقعك على الووردبريس

السلام عليك ورحمة الله وبركاته أفضل الاضافات لحماية موقعك على الووردبريس كالأجهزة االالكترونية المختلفة,مواقع على …

قالب اخباري GoodNews باحدث اصداراتة مجاني وورد بريس

  مميزات القالب الفريدة   1- قالب عربي 100%    2- لوحة تحكم عربية 100% …

قالب ووردبريس مجاني للجميع .. يصلح للمدونات الشخصية ,

السلام علكيم ورحمة الله وبركاتة , لن اطيل عليكم كثيراً في الحديث .. إليكم قالب …

اترك تعليقاً

لن يتم نشر عنوان بريدك الإلكتروني. الحقول الإلزامية مشار إليها بـ *